| Home | Libraries | People | FAQ | More

## Function template trim_left

boost::algorithm::trim_left — Left trim.

## Synopsis

    template<typename SequenceT>
      void trim_left(SequenceT & Input, const std::locale & Loc = std::locale());

## Description

Remove all leading spaces from the input. The Input sequence is modified in-place.

Parameters

Input

  An input sequence

Loc

  A locale used for 'space' classification

| Copyright © 2002-2004 Pavol Droba